OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.Semaphore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTSemaphore :: MonadIO m => m Bool
- gl_EXT_semaphore :: Bool
- pattern GL_DEVICE_UUID_EXT :: GLenum
- pattern GL_DRIVER_UUID_EXT :: GLenum
- pattern GL_LAYOUT_COLOR_ATTACHMENT_EXT :: GLenum
- pattern GL_LAYOUT_DEPTH_ATTACHMENT_STENCIL_READ_ONLY_EXT :: GLenum
- pattern GL_LAYOUT_DEPTH_READ_ONLY_STENCIL_ATTACHMENT_EXT :: GLenum
- pattern GL_LAYOUT_DEPTH_STENCIL_ATTACHMENT_EXT :: GLenum
- pattern GL_LAYOUT_DEPTH_STENCIL_READ_ONLY_EXT :: GLenum
- pattern GL_LAYOUT_GENERAL_EXT :: GLenum
- pattern GL_LAYOUT_SHADER_READ_ONLY_EXT :: GLenum
- pattern GL_LAYOUT_TRANSFER_DST_EXT :: GLenum
- pattern GL_LAYOUT_TRANSFER_SRC_EXT :: GLenum
- pattern GL_NUM_DEVICE_UUIDS_EXT :: GLenum
- pattern GL_UUID_SIZE_EXT :: GLenum
- glDeleteSemaphoresEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenSemaphoresEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetSemaphoreParameterui64vEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64 -> m ()
- glGetUnsignedBytei_vEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLubyte -> m ()
- glGetUnsignedBytevEXT :: MonadIO m => GLenum -> Ptr GLubyte -> m ()
- glIsSemaphoreEXT :: MonadIO m => GLuint -> m GLboolean
- glSemaphoreParameterui64vEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64 -> m ()
- glSignalSemaphoreEXT :: MonadIO m => GLuint -> GLuint -> Ptr GLuint -> GLuint -> Ptr GLuint -> Ptr GLenum -> m ()
- glWaitSemaphoreEXT :: MonadIO m => GLuint -> GLuint -> Ptr GLuint -> GLuint -> Ptr GLuint -> Ptr GLenum -> m ()

# Extension Support

glGetEXTSemaphore :: MonadIO m => m Bool Source #

Is the EXT_semaphore extension supported?

gl_EXT_semaphore :: Bool Source #

Is the EXT_semaphore extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTSemaphore` in those cases instead.

# Enums

pattern GL_DEVICE_UUID_EXT :: GLenum Source #

pattern GL_DRIVER_UUID_EXT :: GLenum Source #

pattern GL_LAYOUT_COLOR_ATTACHMENT_EXT :: GLenum Source #

pattern GL_LAYOUT_DEPTH_ATTACHMENT_STENCIL_READ_ONLY_EXT :: GLenum Source #

pattern GL_LAYOUT_DEPTH_READ_ONLY_STENCIL_ATTACHMENT_EXT :: GLenum Source #

pattern GL_LAYOUT_DEPTH_STENCIL_ATTACHMENT_EXT :: GLenum Source #

pattern GL_LAYOUT_DEPTH_STENCIL_READ_ONLY_EXT :: GLenum Source #

pattern GL_LAYOUT_GENERAL_EXT :: GLenum Source #

pattern GL_LAYOUT_SHADER_READ_ONLY_EXT :: GLenum Source #

pattern GL_LAYOUT_TRANSFER_DST_EXT :: GLenum Source #

pattern GL_LAYOUT_TRANSFER_SRC_EXT :: GLenum Source #

pattern GL_NUM_DEVICE_UUIDS_EXT :: GLenum Source #

pattern GL_UUID_SIZE_EXT :: GLenum Source #

# Functions

glDeleteSemaphoresEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `semaphores` pointing to `n` elements of type `GLuint`.
-> m () |

glGenSemaphoresEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `semaphores` pointing to `n` elements of type `GLuint`.
-> m () |

glGetSemaphoreParameterui64vEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `semaphore`.
-> GLenum | `pname` of type SemaphoreParameterName.
-> Ptr GLuint64 | `params`.
-> m () |

glGetUnsignedBytei_vEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLubyte | `data` pointing to `COMPSIZE(target)` elements of type `GLubyte`.
-> m () |

glGetUnsignedBytevEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLubyte | `data` pointing to `COMPSIZE(pname)` elements of type `GLubyte`.
-> m () |

glIsSemaphoreEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `semaphore`.
-> m GLboolean | of type Boolean.

glSemaphoreParameterui64vEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `semaphore`.
-> GLenum | `pname` of type SemaphoreParameterName.
-> Ptr GLuint64 | `params`.
-> m () |

glSignalSemaphoreEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `semaphore`.
-> GLuint | `numBufferBarriers`.
-> Ptr GLuint | `buffers` pointing to `COMPSIZE(numBufferBarriers)` elements of type `GLuint`.
-> GLuint | `numTextureBarriers`.
-> Ptr GLuint | `textures` pointing to `COMPSIZE(numTextureBarriers)` elements of type `GLuint`.
-> Ptr GLenum | `dstLayouts` pointing to `COMPSIZE(numTextureBarriers)` elements of type TextureLayout.
-> m () |

glWaitSemaphoreEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `semaphore`.
-> GLuint | `numBufferBarriers`.
-> Ptr GLuint | `buffers` pointing to `COMPSIZE(numBufferBarriers)` elements of type `GLuint`.
-> GLuint | `numTextureBarriers`.
-> Ptr GLuint | `textures` pointing to `COMPSIZE(numTextureBarriers)` elements of type `GLuint`.
-> Ptr GLenum | `srcLayouts` pointing to `COMPSIZE(numTextureBarriers)` elements of type TextureLayout.
-> m () |